/*Nab Var*/

body,
html {
  margin: 0;
  padding: 0;
  height: 100%;
  font-family: "Lexend Deca", sans-serif;
  overflow-x: hidden;
}

.navbar {
  background-color: white;
  box-shadow: 0 2px 4px #285364;
  /* padding-right: 600px; */
}

.navbar .navbar-nav .nav-link {
  color: #000;
  font-size: 1.1em;
  transition: color 0.2s;
}

.navbar .navbar-nav .nav-link:hover {
  color: #285364;
}

.dropdown-menu .dropdown-item:hover {
  background-color: #285364;
  color: #fff;
}

.sm-icons {
  flex-direction: row;
}
@media only screen and (max-width: 700px) {
  .sm-icons .nav-item {
    padding-right: 1em;
  }
}

.hero-video {
  position: relative;
  width: 100%;
  height: 100%;
}

.hero-video video {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.hero-content {
  position: absolute;
  color: black;
  /* z-index: 1;
    animation: fadeInUp 1s ease-in-out; */

  padding-left: 6rem;
  margin-left: 80px;
  max-width: 100%;
  font-size: large;
  padding-bottom: 80px;
}
.meds-content {
  position: absolute;
  color: black;
  /* z-index: 1;
    animation: fadeInUp 1s ease-in-out; */

  padding-right: 38rem;
  margin-left: 80px;
  /* max-width: 100%; */
  font-size: large;
  padding-bottom: 80px;
}
.f-logo {
  margin-left: 200px;
}
.health-content {
  position: absolute;
  color: black;
  /* z-index: 1;
    animation: fadeInUp 1s ease-in-out; */

  padding-right: 40rem;
  margin-left: 80px;
  max-width: 100%;
  font-size: large;
  padding-bottom: 8px;
}

.black-button {
  background-color: black;
  color: white;
  border: none;
  padding: 20px 30px;
  border-radius: 30px;
  cursor: pointer;
  font-size: 20px;
  transition: background-color 0.3s ease;
}
.blk-mobilebtn {
  background-color: black;
  color: white;
  border: none;
  padding: 15px 20px;
  border-radius: 10px;
  cursor: pointer;
  font-size: 14px;
  transition: background-color 0.3s ease;
}
.yellow-button {
  background-color: rgb(239, 186, 71);
  color: white;
  border: none;
  padding: 20px 30px;
  border-radius: 30px;
  cursor: pointer;
  font-size: 20px;
  transition: background-color 0.3s ease;
}

.y-mobilebtn {
  background-color: rgb(239, 186, 71);
  color: white;
  border: none;
  padding: 15px 20px;
  border-radius: 10px;
  cursor: pointer;
  font-size: 14px;
  transition: background-color 0.3s ease;
}

.green-button {
  background-color: rgb(147, 194, 98);
  color: white;
  border: none;
  padding: 20px 30px;
  border-radius: 20px;
  cursor: pointer;
  font-size: 18px;
  transition: background-color 0.3s ease;
}

.g-mobilebtn {
  background-color: rgb(147, 194, 98);
  color: white;
  border: none;
  padding: 20px 30px;
  margin-left: 200px;
  border-radius: 20px;
  cursor: pointer;
  font-size: 20px;
  transition: background-color 0.3s ease;
}

.red-button {
  background-color: rgb(241, 89, 89);
  color: white;
  border: none;
  padding: 20px 30px;
  border-radius: 30px;

  cursor: pointer;
  font-size: 18px;
  transition: background-color 0.3s ease;
  margin-bottom: 10px;
}
.r-mobilebtn {
  background-color: rgb(241, 89, 89);
  color: white;
  border: none;
  padding: 15px 20px;
  border-radius: 10px;
  cursor: pointer;
  font-size: 14px;
  transition: background-color 0.3s ease;
}
.meds-button {
  background-color: rgb(86, 197, 203);
  color: white;
  border: none;
  padding: 15px 30px;
  border-radius: 20px;
  cursor: pointer;
  font-size: 20px;
  transition: background-color 0.3s ease;
}

.m-mobilebtn {
  background-color: rgb(86, 197, 203);
  color: white;
  border: none;
  padding: 15px 20px;
  border-radius: 10px;
  cursor: pointer;
  font-size: 14px;
  transition: background-color 0.3s ease;
}

.navy-button {
  background-color: rgb(21, 66, 113);
  color: white;
  border: none;
  padding: 20px 30px;
  border-radius: 20px;
  cursor: pointer;
  font-size: 20px;
  /* transition: background-color 0.3s ease;   */
}

.n-mobilebtn {
  background-color: rgb(21, 66, 113);
  color: white;
  border: none;
  padding: 15px 20px;
  border-radius: 10px;
  cursor: pointer;
  font-size: 14px;
  transition: background-color 0.3s ease;
}

.move {
  padding-left: 43px;
}

.m-btns {
  padding-left: 80px;
}

.button {
  background-color: rgb(243, 118, 86);
  color: black;
  border: none;
  padding: 20px 30px;
  margin-bottom: 170px;
  border-radius: 20px;
  cursor: pointer;
  font-size: 18px;
  transition: background-color 0.3s ease;
}

.b-mobilebtn {
  background-color: rgb(243, 118, 86);
  color: black;
  border: none;
  padding: 15px 20px;
  border-radius: 10px;
  cursor: pointer;
  font-size: 14px;
  transition: background-color 0.3s ease;
}

.mobile-button {
  background-color: rgb(243, 118, 86);
  color: black;
  border: none;
  padding: 15px 20px;
  border-radius: 10px;
  cursor: pointer;
  font-size: 14px;
  transition: background-color 0.3s ease;
}

/* Styles for screens 700px and below */
@media (max-width: 700px) {
  .hero {
    display: none;
  }

  .hero-mobile {
    display: block;
    position: relative;
    width: 100%;
    height: 100vh;
  }

  .hero-video-mobile {
    position: relative;
    width: 100%;
    height: 100%;
  }

  .hero-video-mobile video {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .hero-content-mobile {
    position: absolute;
    top: 10%;
    color: black;
    /* z-index: 1; */
    /* animation: fadeInUp 1s ease-in-out; */

    max-width: 100%;
    padding: 15px 15px;
  }

  .hero-content-mobile h1 {
    font-size: 2.2rem;
    font-weight: 500;
  }
  .f-logo {
    margin-left: 260px;
  }

  .hero-content-mobile p {
    font-size: 1rem;
    text-align: justify;
  }
}

/* Styles for screens starting from 701px */
@media (min-width: 701px) {
  .hero-mobile {
    display: none;
  }

  .hero {
    display: block;
    margin-top: 70px;
    position: relative;
    width: 100%;
    height: calc(105vh - 70px);
    overflow: hidden;
    padding-left: 90px;
    padding-bottom: 100px;
  }

  .hero-video {
    position: relative;
    width: 100%;
    height: 100%;
  }

  .hero-video video {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .hero-content {
    position: absolute;
    bottom: 10%;
    color: black;
    z-index: 1;

    padding-left: 2em;
  }

  .hero-content h1 {
    font-size: calc(1em + 1vw);
    font-weight: 400;
    /* max-width: 35%; */
    margin-bottom: 1px;
  }

  .hero-content p {
    font-size: calc(0.9em + 0.5vw);
    line-height: 1.5;
    /* max-width: 35%; */
  }

  .health-content h1 {
    font-size: calc(1em + 1vw);
    font-weight: 300;
    /* max-width: 45%; */
    margin-top: 79px;
    margin-right: 180px;
  }

  .health-content p {
    font-size: calc(0.9em + 0.5vw);
    line-height: 1.5;
    /* width: 45%; */
    margin-right: 180px;
  }
  .meds-content h1 {
    font-size: calc(1em + 1vw);
    font-weight: 400;
    /* max-width: 45%; */
    /* width: 50%; */
    margin-top: 100px;
    margin-right: 180px;
  }

  .meds-content p {
    font-size: calc(0.6em + 0.5vw);
    line-height: 1.7;
    /* width:50%; */
    margin-right: 180px;
    margin-bottom: 40px;
  }
  .smile-content {
    position: absolute;
    bottom: 10%;
    color: black;
    z-index: 1;

    padding-left: 2em;
  }

  .smile-content h1 {
    font-size: calc(1.3em + 1vw);
    font-weight: 400;
    margin-right: 100px;
  }
  .smile-content p {
    font-size: calc(0.9em + 0.5vw);
    line-height: 1.5;
    margin-right: 100px;
    margin-bottom: 200px;
  }

  .doc-content {
    position: absolute;
    bottom: 10%;
    color: black;
    z-index: 1;
    padding-left: 2em;
  }
  .doc-content h1 {
    font-size: calc(1.4em + 1vw);
    font-weight: 400;
    max-width: 55%;
    margin-bottom: 1px;
    padding-left: 6px;
  }
  .doc-content p {
    font-size: calc(0.7em + 0.5vw);
    line-height: 1.5;
    max-width: 55%;
    margin-bottom: 250px;
    padding-left: 6px;
  }
}

/* Keyframes for fadeInUp animation */
@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translate3d(0, 40px, 0);
  }

  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translate3d(0, 100%, 0);
  }

  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

/* Product section */
.box {
  /* padding-left: 2em;
    padding-right: 2em; */
  display: flex;
  flex-direction: row;
  gap: 1px;
  flex-wrap: wrap;
}

.products > h2 {
  padding-left: 1em;
}

.product-box > img {
  width: 15em;
}

.product-box {
  flex: 1 1 45%;
  /* 2 boxes per row */
  border: 2px;
  background-color: #285364;
  padding: 25px 10px;
  box-sizing: border-box;
}

.box .product-box:nth-child(n + 3) {
  flex: 1 1 30%;
  /* 3 boxes per row for items starting from the 3rd */
  /* transition: transform .2s; */
}

.product-box p {
  color: white;
}

.products-title {
  display: inline;
}

.about-us {
  display: flex;
  flex-direction: row;
  padding-left: 2em;
  padding-right: 2em;
}

.about-us-box {
  flex: 1 1 50%;
  align-items: center;
  text-align: center;
  padding-top: 20px;
  padding-bottom: 20px;
}

.left {
  display: inline-flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.right {
  width: 100%;
  height: 55vh;
}

.about-us-box h2 {
  font-size: calc(0.8em + 2vw);
  /* padding-left: 1em;
    padding-right: 1em; */
  margin: 8px;
  padding-bottom: 30px;
  line-height: 1.2;
}

.about-us-btn {
  background-color: #285364;
  padding: 5px 15px;
  border-radius: 20px;
  font-size: 19px;
}

.form-container {
  background-color: #285364;
  padding: 30px;
  border-radius: 20px;
  /* box-shadow: 0 4px 10px rgba(248, 245, 245, 0.681); */
  width: 60%;
  margin-left: 22%;
  max-width: 60%;
}

#form-h2 {
  color: white;
  font-size: 20px;
  margin-bottom: 15px;
}

#form-h3 {
  color: white;
  font-size: 14px;
  margin-bottom: 20px;
}

.warning-box {
  display: flex;
  align-items: center;
  background-color: #ffeb3b;
  padding: 10px;
  border-radius: 10px;
  margin-bottom: 20px;
  color: #285364;
  border: 1px solid #285364;
}

.warning-box i {
  margin-right: 10px;
  font-size: 1.2rem;
}

.form-group {
  margin-bottom: 20px;
}

.form-group label {
  font-weight: normal;
  color: black;
  margin-bottom: 3px;
}

.input-icon {
  margin-top: 3px;
  position: relative;
  display: flex;
  align-items: center;
}

.input-icon input[type="text"],
.input-icon input[type="date"],
.input-icon input[type="tel"],
.input-icon input[type="email"],
.input-icon input[type="password"] {
  padding: 12px;
  height: 45px;
  margin-left: 12px;
  /* margin-top: 12px; */
  width: 100%;
  border-radius: 10px;
  border: 2px solid #ccc;
  transition: border-color 0.3s ease;
}

.input-icon input:focus {
  border-color: #285364;
  box-shadow: 0 0 5px rgba(9, 163, 224, 0.5);
}

.input-icon input:focus + .fa {
  color: #285364;
}

.input-icon .fa {
  position: absolute;
  left: 10px;
  font-size: 1rem;
}

.button-group {
  display: flex;
  gap: 10px;
}

.id-type-btn,
.gender-btn {
  flex: 1;
  padding: 12px 0;
  border: 2px solid #ccc;
  border-radius: 10px;
  background-color: white;
  cursor: pointer;
  font-size: 16px;
  text-align: center;
  color: black;
  transition: background-color 0.3s ease, color 0.3s ease,
    border-color 0.3s ease;
}

.id-type-btn.active,
.gender-btn.active {
  background-color: white;
  color: #285364;
  border-color: #285364;
  color: black;
}

.hidden {
  display: none;
}

.btn {
  background-color: white;
  color: #285364;
  border: none;
  padding: 15px 20px;
  border-radius: 10px;
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.3s ease;
}

.contact-us {
  padding-left: 17%;
}

.btn:hover {
  background-color: #003f51;
}

.invalid {
  border-color: red !important;
}

.invalid + .fa {
  color: red !important;
}

/* Added styles for Step 3 */
.radio-container {
  display: flex;
  justify-content: center;
  margin-bottom: 20px;
}

.radio-container label {
  margin-right: 20px;
}

.button-container {
  display: flex;
  justify-content: space-between;
}

strong {
  display: block;
  text-align: center;
  margin: 20px 0;
  font-weight: bold;
}

.progress-bar {
  position: relative;
  height: 20px;
  background: #e0e0e0;
  border-radius: 5px;
  margin-bottom: 20px;
}

.progress {
  height: 100%;
  background: rgba(128, 166, 185, 0.495);
  border-radius: 5px;
  transition: width 0.3s;
}

.step-number {
  position: absolute;
  width: 100%;
  text-align: center;
  top: -25px;
  font-weight: bold;
}

.footer {
  background-color: rgb(255, 255, 255);
  color: #787878;

  width: 100%;
  bottom: 0;
  left: 0;
}

.footer .content {
  display: flex;
  justify-content: space-evenly;
  margin: 1.5rem;
}

.footer .content p {
  margin-bottom: 1.3rem;
}

.footer .content a {
  text-decoration: none;
  color: #787878;
}

.footer .content a:hover {
  border-bottom: 1px solid #285364;
}

.footer .content h4 {
  margin-bottom: 1.3rem;
  font-size: 19px;
}

footer {
  text-align: center;
  margin-bottom: 1rem;
}

footer hr {
  margin: 2rem 0;
}

@media (max-width: 767px) {
  .footer .content {
    display: flex;
    flex-direction: column;
    font-size: 14px;
    text-align: center;
  }

  .footer {
    position: unset;
  }
  .f-logo {
    margin-left: 100px;
  }
}

@media (min-width: 400px) and (max-width: 1024px) {
  .footer .content,
  .footer {
    font-size: 14px;
    text-align: center;
    padding-left: 0;
    padding-right: 0;
  }
  .f-logo {
    margin-left: 0;
  }
}
